<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout3}">
<head>
  <meta charset="UTF-8">
  <title>My PaySlip </title>
</head>
<body>

<main
        layout:fragment="main"
        class="container-xxl bd-gutter mt-3 my-md-4 bd-layout"
>
  <div th:include="sidebar/sidebar_my::sidebar_my" th:remove="tag">
    sidebar
  </div>
  <main class="bd-main-xxl">
    <div class="row">
      <div class="col-md-12">
        <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
          <i class="fa fa-money" style="color: #9B7536;"></i>
          My PaySlip
        </div>
      </div>
    </div>

    <div class="row">
      <div class="col-md-12">
        <form method="get" th:action="@{/my/payslip}">
          <div class="p-3 mb-2">
            <div class="row">
              <div class="col-md-6 mb-3">
                <div class="mb-3 row">
                  <label for="selectsatu" class="col-sm-2 col-form-label">Bulan</label>
                  <div class="col-sm-10">
                    <select class="form-select" name="bulan" id="selectsatu" style="width: 100%;">

                      <option th:each="datas : ${listBulan}"
                              th:selected="(${datas} == *{bulanSelected})"
                              th:text="${datas.nama}"
                              th:value="${datas.nomor}">sdasd</option>
                    </select>
                  </div>
                </div>
                <div class="row">
                  <label for="selectdua" class="col-sm-2 col-form-label">Tahun</label>
                  <div class="col-sm-10">
                    <select class="form-select" name="tahun" id="selectdua" style="width: 100%;">
                      <option th:each="datass : ${listTahun}"
                              th:selected="(${datass} == *{tahunSelected})"
                              th:text="${datass.tahun}"
                              th:value="${datass.tahun}">sdasd</option>
                    </select>
                  </div>
                </div>

              </div>
              <div class="col-md-6">
                <button type="submit" class="btn btn-primary pull-left" id="simpan">Proces</button>
              </div>
            </div>

          </div>
        </form>
      </div>
    </div>



    <div class="row">
      <div class="col-md-12">
        <div class="card">
          <div class="card-header">
            <h4>
              <i class="fa fa-globe"></i> Pay Slip.
              <!--              <small class="pull-right" th:text="${#temporals.format(date,'dd-MMM-yyyy')}">Date: 2/10/2014</small>-->

              <span class="float-end" th:text="${namaBulan.getNamaEnglish()+ ' ' + tahun}">Date: 2/10/2014</span>
            </h4>
          </div>
          <div class="card-body">
            <div class="row mb-3">
              <div class="col-md-6">
                <strong th:text="${employes.getFullName()}">Admin, Inc.</strong>
                <br>
                <strong th:text="${companies.getCompanyName()}">Admin, Inc.</strong>
                <br>
                <strong th:text="${'Employee ID : '+ employes.getNumber()}">Admin, Inc.</strong>
                <br>
                <small th:text="${position}"></small>
                <br>
              </div>
              <div class="col-md-6">
                <img align="right" width="100px" th:src="@{/icon/logo}">
              </div>
            </div>
            <div class="row mb-3">
              <div class="col-md-12">
                <table class="table table-striped">
                  <tbody>
                  <tr class="table-primary">
                    <td class="border-0"><strong>Basic Salary :</strong></td>
                    <td class="border-0" align="right" th:text="${'Rp '+ #numbers.formatDecimal(paySlip.getGajiPokok(), 0, 'POINT', 2, 'COMMA')}">Call of Duty</td>
                  </tr>
                  </tbody>
                </table>
              </div>
            </div>

            <div class="row mb-3">
              <div class="col-md-6 table-responsive">
                <table class="table table-striped">
                  <thead>
                  <tr>
                    <th class="border-0 table-primary" colspan="2">Allowance</th>
                  </tr>
                  </thead>
                  <tbody>
                  <tr th:each="dataAllowance,row : ${allowance}">
                    <!--                <td>1</td>-->
                    <td class="border-0" th:text="${dataAllowance.getDeskripsi()}">Call of Duty</td>
                    <td class="border-0" align="right" th:text="${#numbers.formatDecimal(dataAllowance.getNominal(), 0, 'POINT', 2, 'COMMA')}">Call of Duty</td>
                  </tr>
                  </tbody>
                </table>
              </div>
              <!-- /.col -->
              <div class="col-md-6 table-responsive">
                <table class="table table-striped">
                  <thead>
                  <tr>
                    <th class="border-0 table-primary" colspan="2">Deductions</th>
                  </tr>
                  </thead>
                  <tbody>
                  <tr th:each="dataDeduction,row : ${deduction}">
                    <!--                <td>1</td>-->
                    <td class="border-0" th:text="${dataDeduction.getDeskripsi()}">Call of Duty</td>
                    <td class="border-0" align="right" th:text="${#numbers.formatDecimal(dataDeduction.getNominal(), 0, 'POINT', 2, 'COMMA')}">Call of Duty</td>
                  </tr>
                  </tbody>
                </table>
              </div>
            </div>

            <div class="row mb-3">
              <div class="col-md-6 table-responsive">
                <table class="table table-striped">
                  <thead>
                  <tr>
                    <th class="border-0 table-primary" colspan="2">Benefits</th>
                  </tr>
                  </thead>
                  <tbody>
                  <tr th:each="dataBenefit,row : ${benefit}">
                    <!--                <td>1</td>-->
                    <td class="border-0" th:text="${dataBenefit.getDeskripsi()}">Call of Duty</td>
                    <td class="border-0" align="right" th:text="${#numbers.formatDecimal(dataBenefit.getNominal(), 0, 'POINT', 2, 'COMMA')}">Call of Duty</td>
                  </tr>
                  </tbody>
                </table>
              </div>
              <!-- /.col -->
              <div class="col-md-6 table-responsive">
                <table class="table table-striped border-0">
                  <thead>
                  <tr>
                    <th class="border-0 table-primary" colspan="2">Attendance</th>
                  </tr>
                  </thead>
                  <tbody>
                  <tr>
                    <td class="border-0">Actual Working Day</td>
                    <td class="border-0" align="right" th:text="${attendance.getTotalAttendance()}"></td>
                  </tr>
                  <tr>
                    <td class="border-0">Schedule Working Day</td>
                    <td class="border-0" align="right" th:text="${attendance.getTotalShift()}"></td>
                  </tr>
                  <tr>
                    <td class="border-0">Holiday</td>
                    <td class="border-0" align="right" th:text="${attendance.getTotalTimeOff()}"></td>
                  </tr>
                  <tr>
                    <td class="border-0">Abstain</td>
                    <td class="border-0" align="right" th:text="${attendance.getTotalAbsen()}"></td>
                  </tr>
                  <tr>
                    <td class="border-0">Late</td>
                    <td class="border-0" align="right" th:text="${attendance.getTotalLate()}"></td>
                  </tr>
                  </tbody>
                </table>
              </div>
            </div>

            <div class="row">
              <!-- accepted payments column -->
              <div class="col-md-6">
                <!--            <p class="lead">Payment Methods:</p>-->
                <!--            <img src="../../dist/img/credit/visa.png" alt="Visa">-->
                <!--            <img src="../../dist/img/credit/mastercard.png" alt="Mastercard">-->
                <!--            <img src="../../dist/img/credit/american-express.png" alt="American Express">-->
                <!--            <img src="../../dist/img/credit/paypal2.png" alt="Paypal">-->

                <!--            <p class="text-muted well well-sm no-shadow" style="margin-top: 10px;">-->
                <!--              Etsy doostang zoodles disqus groupon greplin oooj voxy zoodles, weebly ning heekya handango imeem plugg-->
                <!--              dopplr jibjab, movity jajah plickers sifteo edmodo ifttt zimbra.-->
                <!--            </p>-->
              </div>
              <!-- /.col -->
              <div class="col-md-6">
                <p class="lead">Amount</p>

                <div class="table-responsive">
                  <table class="table table-striped">
                    <tr>
                      <th class="border-0">Infaq</th>
                      <td class="border-0" align="right" th:text="${#numbers.formatDecimal(paySlip.getTotalInfaq(), 0, 'POINT', 2, 'COMMA')}">$10.34</td>
                    </tr>
                    <tr>
                      <th class="border-0">Zakat</th>
                      <td class="border-0" align="right" th:text="${#numbers.formatDecimal(paySlip.getTotalZakat(), 0, 'POINT', 2, 'COMMA')}">$10.34</td>
                    </tr>
                    <tr>
                      <th class="border-0">Tax</th>
                      <td class="border-0" align="right" th:text="${#numbers.formatDecimal(paySlip.getTotalPajak(), 0, 'POINT', 2, 'COMMA')}">$10.34</td>
                    </tr>
                    <tr class="table-primary">
                      <th class="border-0">Take Home Pay</th>
                      <td class="border-0" align="right" th:text="${'Rp '+ #numbers.formatDecimal(paySlip.getTotalPayroll(), 0, 'POINT', 2, 'COMMA')}">$265.24</td>
                    </tr>
                  </table>
                </div>
              </div>
              <!-- /.col -->
            </div>

          </div>
          <div class="card-footer">
            <div class="row no-print">
              <div class="col-md-12">
                <form method="post" th:action="@{/my/payslip/print}" target="_blank">
                  <input type="hidden" name="employes" th:value="${employes.getId()}">
                  <input type="hidden" name="bulan" th:value="${bulan}">
                  <input type="hidden" name="tahun" th:value="${tahun}">
                  <input type="submit" class="btn btn-primary" value="Print">
                </form>
                <!--            <a th:href="@{/payroll/reports/payslip/print(employes=${employes.getId()}, bulan=${bulan}, tahun=${tahun})}" target="_blank" class="btn btn-default"><i class="fa fa-print"></i> Print</a>-->
                <!--            <button type="button" class="btn btn-success pull-right"><i class="fa fa-credit-card"></i> Submit Payment-->
                <!--            </button>-->
                <!--            <button type="button" class="btn btn-primary pull-right" style="margin-right: 5px;">-->
                <!--              <i class="fa fa-download"></i> Generate PDF-->
                <!--            </button>-->
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </main>
</main>
</body>
</html>